Memos
Memo Service

List Memos

ListMemos lists memos with pagination and filter.

GET
/api/v1/memos

Query Parameters

pageSize?integer

Optional. The maximum number of memos to return. The service may return fewer than this value. If unspecified, at most 50 memos will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

Formatint32
pageToken?string

Optional. A page token, received from a previous ListMemos call. Provide this to retrieve the subsequent page.

state?string

Optional. The state of the memos to list. Default to NORMAL. Set to ARCHIVED to list archived memos.

Formatenum
Value in"STATE_UNSPECIFIED" | "NORMAL" | "ARCHIVED"
orderBy?string

Optional. The order to sort results by. Default to "create_time desc". Supports comma-separated list of fields following AIP-132. Example: "pinned desc, create_time desc" or "update_time asc" Supported fields: pinned, create_time, update_time, name

filter?string

Optional. Filter to apply to the list results. Filter is a CEL expression to filter memos. Refer to Shortcut.filter.

showDeleted?boolean

Optional. If true, show deleted memos in the response.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/memos"
{
  "memos": [
    {
      "name": "string",
      "state": "STATE_UNSPECIFIED",
      "creator": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "updateTime": "2019-08-24T14:15:22Z",
      "content": "string",
      "visibility": "VISIBILITY_UNSPECIFIED",
      "tags": [
        "string"
      ],
      "pinned": true,
      "attachments": [
        {
          "name": "string",
          "createTime": "2019-08-24T14:15:22Z",
          "filename": "string",
          "content": "string",
          "externalLink": "string",
          "type": "string",
          "size": "string",
          "memo": "string",
          "motionMedia": {
            "family": "MOTION_MEDIA_FAMILY_UNSPECIFIED",
            "role": "MOTION_MEDIA_ROLE_UNSPECIFIED",
            "groupId": "string",
            "presentationTimestampUs": "string",
            "hasEmbeddedVideo": true
          }
        }
      ],
      "relations": [
        {
          "memo": {
            "name": "string",
            "snippet": "string"
          },
          "relatedMemo": {
            "name": "string",
            "snippet": "string"
          },
          "type": "TYPE_UNSPECIFIED"
        }
      ],
      "reactions": [
        {
          "name": "string",
          "creator": "string",
          "contentId": "string",
          "reactionType": "string",
          "createTime": "2019-08-24T14:15:22Z"
        }
      ],
      "property": {
        "hasLink": true,
        "hasTaskList": true,
        "hasCode": true,
        "hasIncompleteTasks": true,
        "title": "string"
      },
      "parent": "string",
      "snippet": "string",
      "location": {
        "placeholder": "string",
        "latitude": 0.1,
        "longitude": 0.1
      }
    }
  ],
  "nextPageToken": "string"
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings